#!/bin/sh
# Copyright (C) 2023  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

# deflate takes about twice as long (2m vs 1m) to compress as lz4, but
# gives 15% smaller results (1G vs 1.2G).  Consider switching to
# deflate when that extra minute will be less of a pain for me.
#
#    --conf=erofs_compression=deflate,9
osi-mk \
	--conf=format=raw_btrfs \
	--conf=size=2G \
	--conf=hostname=umorpha-bootstrap \
	\
	--package=base \
	--package=linux-libre-vanilla \
	--conf=initramfs=mkinitcpio \
	\
	--conf=bootloader=none \
	--conf=genfstab=false \
	\
	--module=modules/umorpha-bootstrap.sh \
	\
	"$@"
