#!/bin/sh
# Copyright (C) 2023  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

# deflate takes about twice as long (2m vs 1m) to compress as lz4, but
# gives 15% smaller results (1G vs 1.2G).  Consider switching to
# deflate when that extra minute will be less of a pain for me.
#
#    --conf=erofs_compression=deflate,9
osi-mk \
	--conf=format=erofs \
	--conf=erofs_compression=lz4 \
	--conf=hostname=mario.mothstuff.lol \
	\
	--package=base \
	--package=linux-libre-vanilla \
	--conf=initramfs=mkinitcpio \
	\
	--conf=bootloader=none \
	--conf=genfstab=false \
	--package-file=pkg/grub-2_2.12rc1-5-x86_64.pkg.tar.zst \
	--package-file=pkg/umorpha-disk.pkg.tar.zst \
	--module=modules/umorpha-disk.sh \
	\
	--module=modules/umorpha-branding.sh \
	--module=modules/umorpha-sshusers.sh \
	\
	--module=modules/base-net.sh \
	--module=modules/base-acme.sh \
	--module=modules/service-gitea.sh \
	--package-file=pkg/bookstack.pkg.tar.zst \
	--module=modules/service-bookstack.sh \
	\
	--conf=SOURCE_DATE_EPOCH=auto \
	--module=modules/base-reproducible.sh \
	\
	"$@"
