#!/bin/sh
# Copyright (C) 2023  Umorpha Systems
# Copyright (C) 2023  Luke Shumaker
# SPDX-License-Identifier: AGPL-3.0-or-later

# I tried erofs_compression=deflate, but I got:
#
#	osi-mk [format:after] mkfs.erofs 1.7.1
#	<W> erofs: EXPERIMENTAL DEFLATE algorithm in use. Use at your own risk!
#	<W> erofs: *Carefully* check filesystem data correctness to avoid corruption!
#	<W> erofs: Please send a report to <linux-erofs@lists.ozlabs.org> if something is wrong.
#	osi-mk [format:after] Processing usr/lib/modules/6.5.7-gnu-1-vanilla/ke
#	../notsystemd-tests/osi-mk: line 424: 61541 Segmentation fault      sudo --preserve-env=SOURCE_DATE_EPOCH mkfs.erofs -U"${arg_conf[fsuuid]}" ${arg_conf[erofs_compression]:+"-z${arg_conf[erofs_compression]}"} "$tmpdir/erofs.img" "$mount_dev"
#
# So stick with lz4 for now.

osi-mk \
	--conf=format=erofs \
	--conf=erofs_compression=lz4 \
	--conf=hostname=thwomp.parabola.nu \
	\
	--package=base \
	--package=linux-libre-vanilla \
	--conf=initramfs=mkinitcpio \
	\
	--conf=bootloader=none \
	--conf=genfstab=false \
	--package-file=pkg/grub-2_2.12rc1-5-x86_64.pkg.tar.zst \
	--package-file=pkg/umorpha-disk.pkg.tar.zst \
	--module=modules/umorpha-disk.sh \
	\
	--module=modules/parabola-hackers.sh \
	\
	--module=modules/base-net.sh \
	--module=modules/base-acme.sh \
	\
	--conf=SOURCE_DATE_EPOCH=auto \
	--module=modules/base-reproducible.sh \
	--module=modules/base-small.sh \
	\
	"$@"
